Bug 979408 - Embedding mysql cartridge misinforms user that phpmyadmin-3.4 is available
Embedding mysql cartridge misinforms user that phpmyadmin-3.4 is available
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks: 917667
  Show dependency treegraph
 
Reported: 2013-06-28 09:05 EDT by Luke Meyer
Modified: 2015-05-14 19:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 928029
Environment:
Last Closed: 2013-10-02 11:57:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2013-06-28 09:05:33 EDT
+++ This bug was initially created as a clone of Bug #928029 +++

Description of problem:
When adding the mysql-5.1 cartridge to an app, a message is returned indicating you can add phpmyadmin to administer it. You can't.

Steps to Reproduce:
1. Create an app
2. rhc cartridge add mysql-5.1 -a <app>
  
Actual results:
"You can manage your new MySQL database by also embedding phpmyadmin-3.4.
The phpmyadmin username and password will be the same as the MySQL credentials above."


Expected results:
No mention of phpmyadmin unless it is actually available.

Additional info:
Message probably comes from the mysql cartridge. Not sure it's able to tell whether phpmyadmin is available.
Comment 1 Luke Meyer 2013-06-28 09:08:23 EDT
The cartridge response text (really, anything that will get back to the user) should be "skinnable" in some way; i.e. possible to override without rebuilding the cartridge.
Comment 2 Michal Fojtik 2013-08-26 10:58:25 EDT
Luke Mayer: It would be nice if we can have 'erb' templates for the messages we send back to clients. In that case they could be part of the cartridge but overridable by an env var (eg. CART_MESSAGES_DIR).
Comment 3 Jhon Honce 2013-08-26 11:40:52 EDT
The manifest already has a Suggests element.  I think the Broker/Node should orchestrate that information being provided to the developer in the future instead of the cartridge.
Comment 4 Michal Fojtik 2013-10-02 06:11:33 EDT
Jhon: Should I convert this feature request to a trello card?
Comment 5 Jhon Honce 2013-10-02 10:49:03 EDT
Yes, and close this upstream.  As a backstop, you could just update the current mysql code and not include a version number.
Comment 6 Michal Fojtik 2013-10-02 11:47:35 EDT
Trello card: https://trello.com/c/couCHWnN/298-broker-node-should-provide-the-suggest-element-to-the-user-when-adding-a-cartridge-or-creating-an-app

Mysql cartridge update will come shortly :-)
Comment 7 Michal Fojtik 2013-10-02 11:57:11 EDT
openshift-origin-cartridge-mysql/bin/install

30:client_result "You can manage your new MySQL database by also embedding phpmyadmin."
31:client_result "The phpmyadmin username and password will be the same as the MySQL credentials above."

The fix is already there, so we can close this bug.

Note You need to log in before you can comment on or make changes to this bug.